add GCTAMeanPsf::ctr(double percent)
08/04/2014 10:51 AM - Lu Chia-Chun

Status: Closed Start date: 08/04/2014
Priority: Normal Due date:

Assigned To: Lu Chia-Chun % Done: 100%
Category: Estimated time: 1.00 hour
Target version:

Description

the functionality of calculating containment radius is very frequently used and helpful for diagnostics. | suggest adding this
functionality. The question is then where this method should be. Currently | add it in GCTAMeanPsf, but we should consider moving
it to a more generic class.

Related issues:
Duplicated by Gammalib - Feature # 1459: function for calculating the contain... Closed 05/13/2015

History

#1 - 08/04/2014 11:54 AM - KnddlIseder Jiirgen

- Description updated

| just propose to use a more explicit name, such as containment or containment_radius. We should probably have this method also in the GCTAPsf
base class. | guess you need more arguments than percent as the containment will also depend on the position in the FoV and the energy. | thus
would suggest a method

double GCTAMeanPsf::containment(const GSkyDir& dir, const GEnergy& energy, const double& fraction = 0.6827)

using a fraction (0-1) as argument, which could be by default the 1 sigma fraction.

#2 - 06/21/2016 10:10 PM - Knodlseder Jiirgen
- Status changed from New to Closed

- % Done changed from 0 to 100

The GCTAPsf::containment_radius() method has been added to the CTA PSF interface.
